%define upstream_name MDV-Packdrakeng
%define upstream_version 1.13

# perl-Compress-Zlib is only "suggested"
%global __requires_exclude perl\\(Compress::Zlib\\)

%define perl_convert_version() %(perl -Mversion -le '
    $x = "%{1}";
    $y = $x;
    $x =~ s/[[:alpha:]]*$//;
    $y =~ s/^$x//;
    $x =~ s/\D*$//;
    $v = version->new($x)->normal;
    $v =~ s/^v//;
    print "$v$y";
')



Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	7%{?dist}
Summary:	Simple Archive Extractor/Builder
License:	GPL
Group:		Development/Perl
Source0:	%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}
BuildRequires:	perl(Compress::Zlib)

%if "%_vendor" == "suse"
BuildRequires:  perl-base
%endif

%if "%_vendor" == "fedora"
BuildRequires:  perl-interpreter
%endif

BuildArch:	noarch

%{?perl_default_filter}

%description
MDV::Packdrakeng is a simple indexed archive builder and extractor using
standard compression methods.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog README META.yml
%{_mandir}/*/*
%{perl_vendorlib}/MDV/Packdrakeng
%{perl_vendorlib}/MDV/Packdrakeng.pm


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.130.0-7.mga9
+ Revision: 1809583
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.130.0-6.mga8
+ Revision: 1505025
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.130.0-5.mga7
+ Revision: 1284549
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 1.130.0-4.mga7
+ Revision: 1250574
- rebuild for perl-5.28

* Sat Oct 15 2016 tv <tv> 1.130.0-3.mga7
+ Revision: 1060905
- use std build macros

* Sun Jun 19 2016 pterjan <pterjan> 1.130.0-3.mga6
+ Revision: 1029873
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.130.0-2.mga6
+ Revision: 968734
- Mageia 6 Mass Rebuild

* Wed Jul 15 2015 sander85 <sander85> 1.130.0-1.mga6
+ Revision: 854495
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.13-16.mga5
+ Revision: 741373
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.13-15.mga5
+ Revision: 735694
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.13-14.mga5
+ Revision: 685287
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Feb 04 2014 tv <tv> 1.13-13.mga5
+ Revision: 581835
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 1.13-12.mga4
+ Revision: 524033
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.13-11.mga4
+ Revision: 429886
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.13-10.mga3
+ Revision: 369293
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.13-9.mga1
+ Revision: 36881
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.13-8.mga1
+ Revision: 34882
- rebuild
- mageia rebuild

* Fri Jan 21 2011 erwan <erwan> 1.13-7.mga1
+ Revision: 30071
- Rebuild

* Mon Jan 17 2011 nanardon <nanardon> 1.13-6.mga1
+ Revision: 21666
- cleanup empty line
- imported package perl-MDV-Packdrakeng


* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 1.13-6mdv2011.0
+ Revision: 557109
- rebuild

* Sat Jan 02 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-5mdv2010.1
+ Revision: 485172
- fix build dependencies

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.13-4mdv2009.1
+ Revision: 351851
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.13-3mdv2009.0
+ Revision: 223819
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.13-2mdv2008.1
+ Revision: 180420
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 09 2007 Olivier Thauvin <nanardon@mandriva.org> 1.13-1mdv2008.0
+ Revision: 60786
- 1.13

* Mon Jun 18 2007 Pixel <pixel@mandriva.com> 1.12-1mdv2008.0
+ Revision: 40802
- new release, 1.12
- raise an exception when we can't write the generated .cz file
  (in case of "No space left on device")
- allow explicit call to $pack->DESTROY
  (to allow catching the exception above)

* Tue Jun 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdv2008.0
+ Revision: 35317
- 1.11

* Thu May 17 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-1mdv2008.0
+ Revision: 27618
- 1.10

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 1.01-3mdv2008.0
+ Revision: 23364
- rebuild


* Wed Feb 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-2mdk
- Rebuild; use mkrel (misc)

* Fri Nov 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.01-1mdk
- 1.01

* Fri Oct 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.00-1mdk
- Initial MDV release

